es.gob.fnmt.policy

## Class KeyManagerPolicy.Builder

- java.lang.Object
- - es.gob.fnmt.policy.KeyManagerPolicy.Builder

- Enclosing class:
    KeyManagerPolicy

      public static final class KeyManagerPolicy.Builder
      extends java.lang.Object

  Builder design pattern class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `KeyManagerPolicy.Builder` | `addAlias(java.lang.String alias)` Add a key alias to the policy.
    `KeyManagerPolicy.Builder` | `addExtendedKeyUsage(KeyManagerPolicy.ExtendedKeyUsage extendedkeyUsage)` Add a extended key usage to the policy.
    `KeyManagerPolicy.Builder` | `addKeyUsage(KeyManagerPolicy.KeyUsage keyUsage)` Add a key usage to the policy.
    `KeyManagerPolicy` | `build()` Returns the instance of the policy.
    `KeyManagerPolicy.Builder` | `init()` Initializes the builder.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### addAlias

          public KeyManagerPolicy.Builder addAlias(java.lang.String alias)

      Add a key alias to the policy.
      Parameters:
        `alias` - the alias of the key.
      Returns:
        the instance of the builder (builder design pattern).

    - #### addExtendedKeyUsage

          public KeyManagerPolicy.Builder addExtendedKeyUsage(KeyManagerPolicy.ExtendedKeyUsage extendedkeyUsage)

      Add a extended key usage to the policy.
      Parameters:
        `extendedkeyUsage` - the extended key usage.
      Returns:
        the instance of the builder (builder design pattern).

    - #### addKeyUsage

          public KeyManagerPolicy.Builder addKeyUsage(KeyManagerPolicy.KeyUsage keyUsage)

      Add a key usage to the policy.
      Parameters:
        `keyUsage` - the key usage.
      Returns:
        the instance of the builder (builder design pattern).

    - #### build

          public KeyManagerPolicy build()

      Returns the instance of the policy.
      Returns:
        an instance of the key manager policy.

    - #### init

          public KeyManagerPolicy.Builder init()

      Initializes the builder.
      Returns:
        the instance of the builder (builder design pattern).